umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
UMLEntityAttributeList Class Reference

`#include <umlentityattributelist.h>`

Inheritance diagram for UMLEntityAttributeList:

## Public Member Functions
| UMLEntityAttributeList ()
| UMLEntityAttributeList (const UMLEntityAttributeList &)
virtual | ~UMLEntityAttributeList ()
virtual void | copyInto (UMLEntityAttributeList *rhs) const
virtual UMLEntityAttributeList * | clone () const

## Detailed Description

This sub-class adds copyInto and clone to the QPtrList<UMLEntityAttribute> base class.

## Constructor & Destructor Documentation

## ◆ UMLEntityAttributeList() [1/2]

UMLEntityAttributeList::UMLEntityAttributeList | ( |  | ) |

## ◆ UMLEntityAttributeList() [2/2]

UMLEntityAttributeList::UMLEntityAttributeList | ( | const UMLEntityAttributeList & | other | ) |

## ◆ ~UMLEntityAttributeList()

UMLEntityAttributeList::~UMLEntityAttributeList | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ clone()

UMLEntityAttributeList * UMLEntityAttributeList::clone | ( |  | ) | const
| virtual

Make a clone of this object.

## ◆ copyInto()

void UMLEntityAttributeList::copyInto | ( | UMLEntityAttributeList * | rhs | ) | const
| virtual

Copy the internal presentation of this object into the new object.

The documentation for this class was generated from the following files:

- umbrello/umlmodel/umlentityattributelist.h
- umbrello/umlmodel/umlentityattributelist.cpp